org.keycloak.models.entities

## Class RealmEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.RealmEntity

- Direct Known Subclasses:
    MongoRealmEntity

      public class RealmEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCodeLifespan()`
    `int` | `getAccessCodeLifespanUserAction()`
    `int` | `getAccessTokenLifespan()`
    `String` | `getAccountTheme()`
    `String` | `getAdminAppId()`
    `String` | `getAdminTheme()`
    `Map<String,String>` | `getBrowserSecurityHeaders()`
    `String` | `getCertificatePem()`
    `String` | `getCodeSecret()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getEmailTheme()`
    `long` | `getEventsExpiration()`
    `List<String>` | `getEventsListeners()`
    `int` | `getFailureFactor()`
    `String` | `getLoginTheme()`
    `int` | `getMaxDeltaTimeSeconds()`
    `int` | `getMaxFailureWaitSeconds()`
    `int` | `getMinimumQuickLoginWaitSeconds()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `String` | `getPasswordPolicy()`
    `String` | `getPrivateKeyPem()`
    `String` | `getPublicKeyPem()`
    `long` | `getQuickLoginCheckMilliSeconds()`
    `List<RequiredCredentialEntity>` | `getRequiredCredentials()`
    `Map<String,String>` | `getSmtpConfig()`
    `Map<String,String>` | `getSocialConfig()`
    `String` | `getSslRequired()`
    `int` | `getSsoSessionIdleTimeout()`
    `int` | `getSsoSessionMaxLifespan()`
    `List<UserFederationProviderEntity>` | `getUserFederationProviders()`
    `int` | `getWaitIncrementSeconds()`
    `boolean` | `isBruteForceProtected()`
    `boolean` | `isEnabled()`
    `boolean` | `isEventsEnabled()`
    `boolean` | `isPasswordCredentialGrantAllowed()`
    `boolean` | `isRegistrationAllowed()`
    `boolean` | `isRememberMe()`
    `boolean` | `isResetPasswordAllowed()`
    `boolean` | `isSocial()`
    `boolean` | `isUpdateProfileOnInitialSocialLogin()`
    `boolean` | `isVerifyEmail()`
    `void` | `setAccessCodeLifespan(int accessCodeLifespan)`
    `void` | `setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)`
    `void` | `setAccessTokenLifespan(int accessTokenLifespan)`
    `void` | `setAccountTheme(String accountTheme)`
    `void` | `setAdminAppId(String adminAppId)`
    `void` | `setAdminTheme(String adminTheme)`
    `void` | `setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)`
    `void` | `setBruteForceProtected(boolean bruteForceProtected)`
    `void` | `setCertificatePem(String certificatePem)`
    `void` | `setCodeSecret(String codeSecret)`
    `void` | `setDefaultRoles(List<String> defaultRoles)`
    `void` | `setEmailTheme(String emailTheme)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setEventsEnabled(boolean eventsEnabled)`
    `void` | `setEventsExpiration(long eventsExpiration)`
    `void` | `setEventsListeners(List<String> eventsListeners)`
    `void` | `setFailureFactor(int failureFactor)`
    `void` | `setLoginTheme(String loginTheme)`
    `void` | `setMaxDeltaTimeSeconds(int maxDeltaTimeSeconds)`
    `void` | `setMaxFailureWaitSeconds(int maxFailureWaitSeconds)`
    `void` | `setMinimumQuickLoginWaitSeconds(int minimumQuickLoginWaitSeconds)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPasswordCredentialGrantAllowed(boolean passwordCredentialGrantAllowed)`
    `void` | `setPasswordPolicy(String passwordPolicy)`
    `void` | `setPrivateKeyPem(String privateKeyPem)`
    `void` | `setPublicKeyPem(String publicKeyPem)`
    `void` | `setQuickLoginCheckMilliSeconds(long quickLoginCheckMilliSeconds)`
    `void` | `setRegistrationAllowed(boolean registrationAllowed)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setRequiredCredentials(List<RequiredCredentialEntity> requiredCredentials)`
    `void` | `setResetPasswordAllowed(boolean resetPasswordAllowed)`
    `void` | `setSmtpConfig(Map<String,String> smtpConfig)`
    `void` | `setSocial(boolean social)`
    `void` | `setSocialConfig(Map<String,String> socialConfig)`
    `void` | `setSslRequired(String sslRequired)`
    `void` | `setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)`
    `void` | `setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)`
    `void` | `setUpdateProfileOnInitialSocialLogin(boolean updateProfileOnInitialSocialLogin)`
    `void` | `setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)`
    `void` | `setVerifyEmail(boolean verifyEmail)`
    `void` | `setWaitIncrementSeconds(int waitIncrementSeconds)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RealmEntity

          public RealmEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### isPasswordCredentialGrantAllowed

          public boolean isPasswordCredentialGrantAllowed()

    - #### setPasswordCredentialGrantAllowed

          public void setPasswordCredentialGrantAllowed(boolean passwordCredentialGrantAllowed)

    - #### isRegistrationAllowed

          public boolean isRegistrationAllowed()

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(boolean registrationAllowed)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### isVerifyEmail

          public boolean isVerifyEmail()

    - #### setVerifyEmail

          public void setVerifyEmail(boolean verifyEmail)

    - #### isResetPasswordAllowed

          public boolean isResetPasswordAllowed()

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(boolean resetPasswordAllowed)

    - #### isSocial

          public boolean isSocial()

    - #### setSocial

          public void setSocial(boolean social)

    - #### isUpdateProfileOnInitialSocialLogin

          public boolean isUpdateProfileOnInitialSocialLogin()

    - #### setUpdateProfileOnInitialSocialLogin

          public void setUpdateProfileOnInitialSocialLogin(boolean updateProfileOnInitialSocialLogin)

    - #### getPasswordPolicy

          public String getPasswordPolicy()

    - #### setPasswordPolicy

          public void setPasswordPolicy(String passwordPolicy)

    - #### isBruteForceProtected

          public boolean isBruteForceProtected()

    - #### setBruteForceProtected

          public void setBruteForceProtected(boolean bruteForceProtected)

    - #### getMaxFailureWaitSeconds

          public int getMaxFailureWaitSeconds()

    - #### setMaxFailureWaitSeconds

          public void setMaxFailureWaitSeconds(int maxFailureWaitSeconds)

    - #### getMinimumQuickLoginWaitSeconds

          public int getMinimumQuickLoginWaitSeconds()

    - #### setMinimumQuickLoginWaitSeconds

          public void setMinimumQuickLoginWaitSeconds(int minimumQuickLoginWaitSeconds)

    - #### getWaitIncrementSeconds

          public int getWaitIncrementSeconds()

    - #### setWaitIncrementSeconds

          public void setWaitIncrementSeconds(int waitIncrementSeconds)

    - #### getQuickLoginCheckMilliSeconds

          public long getQuickLoginCheckMilliSeconds()

    - #### setQuickLoginCheckMilliSeconds

          public void setQuickLoginCheckMilliSeconds(long quickLoginCheckMilliSeconds)

    - #### getMaxDeltaTimeSeconds

          public int getMaxDeltaTimeSeconds()

    - #### setMaxDeltaTimeSeconds

          public void setMaxDeltaTimeSeconds(int maxDeltaTimeSeconds)

    - #### getFailureFactor

          public int getFailureFactor()

    - #### setFailureFactor

          public void setFailureFactor(int failureFactor)

    - #### getSsoSessionIdleTimeout

          public int getSsoSessionIdleTimeout()

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)

    - #### getSsoSessionMaxLifespan

          public int getSsoSessionMaxLifespan()

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)

    - #### getAccessTokenLifespan

          public int getAccessTokenLifespan()

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(int accessTokenLifespan)

    - #### getAccessCodeLifespan

          public int getAccessCodeLifespan()

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(int accessCodeLifespan)

    - #### getAccessCodeLifespanUserAction

          public int getAccessCodeLifespanUserAction()

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### getPublicKeyPem

          public String getPublicKeyPem()

    - #### setPublicKeyPem

          public void setPublicKeyPem(String publicKeyPem)

    - #### getPrivateKeyPem

          public String getPrivateKeyPem()

    - #### setPrivateKeyPem

          public void setPrivateKeyPem(String privateKeyPem)

    - #### getCodeSecret

          public String getCodeSecret()

    - #### setCodeSecret

          public void setCodeSecret(String codeSecret)

    - #### getLoginTheme

          public String getLoginTheme()

    - #### setLoginTheme

          public void setLoginTheme(String loginTheme)

    - #### getAccountTheme

          public String getAccountTheme()

    - #### setAccountTheme

          public void setAccountTheme(String accountTheme)

    - #### getAdminTheme

          public String getAdminTheme()

    - #### setAdminTheme

          public void setAdminTheme(String adminTheme)

    - #### getEmailTheme

          public String getEmailTheme()

    - #### setEmailTheme

          public void setEmailTheme(String emailTheme)

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(List<String> defaultRoles)

    - #### getRequiredCredentials

          public List<RequiredCredentialEntity> getRequiredCredentials()

    - #### setRequiredCredentials

          public void setRequiredCredentials(List<RequiredCredentialEntity> requiredCredentials)

    - #### getBrowserSecurityHeaders

          public Map<String,String> getBrowserSecurityHeaders()

    - #### setBrowserSecurityHeaders

          public void setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)

    - #### getSmtpConfig

          public Map<String,String> getSmtpConfig()

    - #### setSmtpConfig

          public void setSmtpConfig(Map<String,String> smtpConfig)

    - #### getSocialConfig

          public Map<String,String> getSocialConfig()

    - #### setSocialConfig

          public void setSocialConfig(Map<String,String> socialConfig)

    - #### isEventsEnabled

          public boolean isEventsEnabled()

    - #### setEventsEnabled

          public void setEventsEnabled(boolean eventsEnabled)

    - #### getEventsExpiration

          public long getEventsExpiration()

    - #### setEventsExpiration

          public void setEventsExpiration(long eventsExpiration)

    - #### getEventsListeners

          public List<String> getEventsListeners()

    - #### setEventsListeners

          public void setEventsListeners(List<String> eventsListeners)

    - #### getAdminAppId

          public String getAdminAppId()

    - #### setAdminAppId

          public void setAdminAppId(String adminAppId)

    - #### getUserFederationProviders

          public List<UserFederationProviderEntity> getUserFederationProviders()

    - #### setUserFederationProviders

          public void setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)

    - #### getCertificatePem

          public String getCertificatePem()

    - #### setCertificatePem

          public void setCertificatePem(String certificatePem)

Copyright © 2015. All Rights Reserved.